## org.apache.cassandra.net
Interface IAsyncResult

All Superinterfaces:
  IMessageCallback

    public interface IAsyncResult

extends IMessageCallback

Method Summary
`byte[]` `get(long timeout, java.util.concurrent.TimeUnit tu)` Same operation as the above get() but allows the calling thread to specify a timeout.
`java.net.InetAddress` `getFrom()`
`void` `result(Message result)` Store the result obtained for the submitted task.

Methods inherited from interface org.apache.cassandra.net.IMessageCallback
`isLatencyForSnitch`

Method Detail

### get

    byte[] get(long timeout,
               java.util.concurrent.TimeUnit tu)
               throws java.util.concurrent.TimeoutException

  Same operation as the above get() but allows the calling thread to specify a timeout.

  Parameters:
    `timeout` - the maximum time to wait
    `tu` - the time unit of the timeout argument
  Returns:
    the result wrapped in an Object[]
  Throws:
    `java.util.concurrent.TimeoutException`

### result

    void result(Message result)

  Store the result obtained for the submitted task.

  Parameters:
    `result` - the response message

### getFrom

    java.net.InetAddress getFrom()

Copyright © 2013 The Apache Software Foundation